Security Advisories » History » Version 22

Version 21 (Jan from Planio www.plan.io, 2015-12-07 09:40) → Version 22/32 (Jan from Planio www.plan.io, 2015-12-07 09:49)

h1. Redmine Security Advisories

This page lists the security vulnerabilities that were fixed in Redmine releases, starting from 1.3.0. If you think that you've found a security vulnerability, please report it by sending an email to: @security(at)redmine.org@.

|_. Severity|_. Details|_.External references|_. Affected versions|_. Fixed versions|
|{background-color:#ff8}. Moderate|Data disclosure in atom feed||All prior releases|version:2.6.9, version:3.0.7 and version:3.1.3|
|{background-color:#ff8}. Moderate|Data disclosure on the time logging form||All prior releases|version:2.6.8, version:3.0.6 and version:3.1.2|
|{background-color:#ff8}. Moderate|Open Redirect vulnerability|"CVE-2015-8474":https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-8474|2.5.1 vulnerability||2.5.1 to 2.6.6, 3.0.0 to 3.0.4 and 3.1.0|version:2.6.7, version:3.0.5 and version:3.1.1|
|{background-color:#ffc}. Low|Potential XSS vulnerability when rendering some flash messages|"CVE-2015-8477":https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-8477|All messages||All prior releases|version:2.6.2 and version:3.0.0|
|{background-color:#ff8}. Moderate|Potential data leak (project names) in the invalid form authenticity token error screen||All prior releases|version:2.4.6 and version:2.5.2|
|{background-color:#ff8}. Moderate|Open Redirect vulnerability|"JVN#93004610":https://jvn.jp/en/jp/JVN93004610/index.html, "CVE-2014-1985":http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2014-1985|All prior releases|version:2.4.5 and version:2.5.1|
|{background-color:#f88}. Critical|Ruby on Rails vulnerability ("announcement":http://weblog.rubyonrails.org/2013/3/18/SEC-ANN-Rails-3-2-13-3-1-12-and-2-3-18-have-been-released/)||All releases prior to 2.2.4|version:2.2.4, version:2.3.0|
|{background-color:#f88}. Critical|Ruby on Rails vulnerability ("announcement":http://weblog.rubyonrails.org/2013/2/11/SEC-ANN-Rails-3-2-12-3-1-11-and-2-3-17-have-been-released/)||All releases prior to 2.2.3|version:2.2.3|
|{background-color:#f88}. Critical|Ruby on Rails vulnerability ("announcement":https://groups.google.com/forum/?fromgroups=#!topic/rubyonrails-security/1h2DR63ViGo)||All releases prior to 2.2.1 and 2.1.6|"Fix for 1.4.7":/news/78|
|{background-color:#f88}. Critical|Ruby on Rails vulnerability ("announcement":https://groups.google.com/forum/#!msg/rubyonrails-security/c7jT-EeN9eI/L0u4e87zYGMJ)||All releases prior to 2.2.1 and 2.1.6|version:1.4.7|
|{background-color:#f88}. Critical|Ruby on Rails vulnerability ("announcement":http://weblog.rubyonrails.org/2013/1/8/Rails-3-2-11-3-1-10-3-0-19-and-2-3-15-have-been-released/)||All prior releases| version:2.2.1, version:2.1.6, version:1.4.6|
|{background-color:#ff8}. Moderate|XSS vulnerability||2.1.0 and 2.1.1|version:2.1.2|
|{background-color:#fb8}. High|Persistent XSS vulnerability|"JVN#93406632":http://jvn.jp/en/jp/JVN93406632/, "CVE-2012-0327":http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2012-0327|All prior releases|version:1.3.2|
|{background-color:#ff8}. Moderate|Mass-assignemnt vulnerability that would allow an attacker to bypass part of the security checks||All prior releases|version:1.3.2|
|{background-color:#fb8}. High|Vulnerability that would allow an attacker to bypass the CSRF protection||All prior releases|version:1.3.0|